curl --location --request PUT 'https://api.craftcart.io/api/v1/admin/customers/' \
--header 'Authorization: Bearer <token>' \
--header 'x-store-id: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"email": "user@example.com",
"firstName": "string",
"lastName": "string",
"phone": "string",
"tags": [
"string"
],
"notes": "string",
"defaultAddress": {
"firstName": "string",
"lastName": "string",
"company": "string",
"address1": "string",
"address2": "string",
"city": "string",
"state": "string",
"postcode": "string",
"country": "string",
"phone": "string"
},
"addresses": [
{
"firstName": "string",
"lastName": "string",
"company": "string",
"address1": "string",
"address2": "string",
"city": "string",
"state": "string",
"postcode": "string",
"country": "string",
"phone": "string"
}
],
"acceptsMarketing": true,
"source": "guest"
}'